using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models;

internal record Name(string? ForwardSlashFull,
                   string? Given,
                   string? Sur,
                   string? Nick,
                   string? Suffix)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, NameSourceGenerationContext.Default.Name);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true, DefaultIgnoreCondition = JsonIgnoreCondition.WhenWritingNull)]
[JsonSerializable(typeof(Name))]
internal partial class NameSourceGenerationContext : JsonSerializerContext
{
}